All pages
Powered by GitBook
1 of 1

Loading...

net_version

Returns the current network id.

This method will use 5 Compute Units.


Reference:

Parameters

None

Returns

String - The current network id.

The full list of current network IDs is available at chainlist.org. Some common ones are:

  • 1: Ethereum Mainnet

  • 5: Goerli testnet

  • 11155111: Sepolia testnet

Here
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "3"
}
curl https://mainnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'
curl https://testnet.opbnb.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'